aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2024-08-15 09:24:43 -0400
committerJulien Roy <julien@jroy.ca>2024-08-15 09:24:43 -0400
commitc7c362f97d63e64d189b391342218da9044ef9f5 (patch)
tree4ba5cbae8895133e6120a84e0ed62d27ad1b6d64
parent9761aa16cc795c0303fa63c8c701d157adb648cc (diff)
downloadMrRoy-Overlay-c7c362f97d63e64d189b391342218da9044ef9f5.tar.gz
MrRoy-Overlay-c7c362f97d63e64d189b391342218da9044ef9f5.tar.bz2
MrRoy-Overlay-c7c362f97d63e64d189b391342218da9044ef9f5.zip
www-apps/wger: add 2.3_pre20240807
Signed-off-by: Julien Roy <julien@jroy.ca>
-rw-r--r--www-apps/wger/Manifest1
-rw-r--r--www-apps/wger/wger-2.3_pre20240807.ebuild120
2 files changed, 121 insertions, 0 deletions
diff --git a/www-apps/wger/Manifest b/www-apps/wger/Manifest
index d719241..fe7d219 100644
--- a/www-apps/wger/Manifest
+++ b/www-apps/wger/Manifest
@@ -1 +1,2 @@
DIST wger-2.3_pre20240614.gh.tar.gz 7878728 BLAKE2B ec8808cecf0b76bb5e497c697300e97c1b8f55b72e44f988288efca5ebbb3c36d8d38c4b456f1b6c7639008a1c25d54fa9bf1f5ca5ca2fcb6a11379d69c31ba1 SHA512 49a91c975f858ad0ab2cda4093494a4ee20b9558c5922940092ebf3f589059e0862019fc34b7e92c3f3c8584f9e5c05d47db0774a7a43cf75b7241d27080e5b6
+DIST wger-2.3_pre20240807.gh.tar.gz 7904411 BLAKE2B fc9b75f1b1b8b1007aaa2a53459a0a8495e813a92cfd4a1b3a7ea111e6bb868c357ad99a5068c694c68bbd73433f613cdd243d993dce08f75f7b9a3ff2a97b83 SHA512 02c69ee620331aa3960ab5f66e8b515477c1c4abb0eea654d2599455a7a40fe7f234bc5c5a8757e40efe188ec6dadeafc38bb513340c08db660827de41830823
diff --git a/www-apps/wger/wger-2.3_pre20240807.ebuild b/www-apps/wger/wger-2.3_pre20240807.ebuild
new file mode 100644
index 0000000..488fa16
--- /dev/null
+++ b/www-apps/wger/wger-2.3_pre20240807.ebuild
@@ -0,0 +1,120 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..12} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1
+
+COMMIT="5c7192317a1f05fec64af33caf4224f4a4d49b05"
+DESCRIPTION="FLOSS workout, fitness and weight manager/tracker"
+HOMEPAGE="https://github.com/wger-project/wger"
+SRC_URI="https://github.com/wger-project/wger/archive/${COMMIT}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+# For Yarn/NPM
+RESTRICT="network-sandbox"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ acct-user/wger
+ acct-group/wger
+
+ >=dev-python/django-4.2.13[${PYTHON_USEDEP}]
+ >=dev-python/bleach-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/celery-5.4.0[${PYTHON_USEDEP}]
+ >=dev-python/crispy-bootstrap5-2024.2[${PYTHON_USEDEP}]
+ >=dev-python/django-activity-stream-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/django-axes-6.4.0[${PYTHON_USEDEP}]
+ >=dev-python/django4-bootstrap-breadcrumbs-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/django-crispy-forms-2.1[${PYTHON_USEDEP}]
+ >=dev-python/django-email-verification-0.3.3[${PYTHON_USEDEP}]
+ >=dev-python/django-environ-0.11.2[${PYTHON_USEDEP}]
+ >=dev-python/django-formtools-2.5[${PYTHON_USEDEP}]
+ >=dev-python/django-prometheus-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/django-recaptcha-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/django-simple-history-3.7[${PYTHON_USEDEP}]
+ >=dev-python/django-storages-1.14[${PYTHON_USEDEP}]
+ >=dev-python/django-compressor-4.4[${PYTHON_USEDEP}]
+ >=dev-python/drf-spectacular-0.27.2[${PYTHON_USEDEP}]
+ >=dev-python/drf-spectacular-sidecar-2024.6.1[${PYTHON_USEDEP}]
+ >=dev-python/easy-thumbnails-2.8.5[${PYTHON_USEDEP}]
+ >=dev-python/flower-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/fontawesomefree-6.5.1[${PYTHON_USEDEP}]
+ >=dev-python/icalendar-5.0.12[${PYTHON_USEDEP}]
+ >=dev-python/invoke-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/openfoodfacts-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-10.3.0[${PYTHON_USEDEP}]
+ >=dev-python/reportlab-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.32.3[${PYTHON_USEDEP}]
+ >=dev-python/tqdm-4.66.4[${PYTHON_USEDEP}]
+ >=dev-python/tzdata-2024.1[${PYTHON_USEDEP}]
+ >=dev-python/django-cors-headers-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/django-filter-24.2[${PYTHON_USEDEP}]
+ >=dev-python/djangorestframework-3.15.1[${PYTHON_USEDEP}]
+ >=dev-python/djangorestframework-simplejwt-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/django-sortedm2m-3.1[${PYTHON_USEDEP}]
+ >=dev-python/pymongo-4.7.1[${PYTHON_USEDEP}]
+ >=dev-python/django-extensions-3.2[${PYTHON_USEDEP}]
+ >=dev-python/django-debug-toolbar-4.3.0[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.9.9[${PYTHON_USEDEP}]
+ >=dev-python/django-redis-5.4.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ net-libs/nodejs[npm]
+ >=sys-apps/yarn-1.22.21
+ dev-lang/sassc
+"
+
+PATCHES=(
+ # Remove yarn commands from tasks.py
+ # Since they are done in python_install
+ "${FILESDIR}"/yarn.patch
+)
+
+eyarn() {
+ yarn \
+ --non-interactive \
+ --modules-folder "${BUILD_DIR}/install$(python_get_sitedir)/wger/core/static/yarn/" \
+ "${@}" || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ local WGER_PATH
+ WGER_PATH="${BUILD_DIR}/install$(python_get_sitedir)/${PN}/"
+
+ cp "${S}"/package.json "${WGER_PATH}" || die
+ eyarn --cwd "${WGER_PATH}" install
+
+ sassc "${WGER_PATH}"core/static/scss/main.scss "${WGER_PATH}"core/static/yarn/bootstrap-compiled.css || die
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ python_moduleinto wger
+ python_foreach_impl python_domodule "${S}"/wger/settings_global.py
+
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+}
+
+pkg_postinst() {
+ einfo
+ elog "To configure wger, you need to generate a settings file and running the bootstrap using these command:"
+ elog "wger create-settings --settings-path=/etc/wger/settings.py --database-type={sqlite3,postgresql}"
+ elog "wger bootstrap --settings-path=/etc/wger/settings.py [--database-path=<sqlite3 database path>]"
+ elog "wger load-online-fixtures --settings-path=/etc/wger/settings.py"
+ elog "Make sure to review the other settings in settings.py"
+ elog "Refer to https://wger.readthedocs.io/en/latest/settings.html"
+ einfo
+}